/* page info */

.block-wiki {
    width: var(--block);
    height: auto;
    margin: auto;
    display: flex;
    margin-top: var(--headpadding);
    justify-content: space-between;
}

.block-wiki text,
.block-wiki h1,
.block-wiki h2,
.block-wiki h3,
.block-wiki a {
    white-space: pre-line;
}

.wiki-content {
    width: 100%;
    padding-right: 3.1579rem;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    gap: 0.8421rem;
}

.wiki-content-max {
    padding-right: 0rem;
}

.wiki-content img {
    width: 100%;
    height: auto;
}

.box-wiki-links {
    width: 30rem;
    display: flex;
    flex-direction: column;
    gap: 3.1579rem;
}

.wiki-link,
.wiki-link:visited {
    width: 100%;
    padding: 0.5263rem 0rem;
    box-sizing: border-box;
    display: flex;
    align-content: center;
    justify-content: space-between;
    cursor: pointer;
    color: var(--white);
    fill: var(--white);
}

.wiki-link:hover,
.wiki-link:hover:visited {
    opacity: 0.7;
    color: var(--white);
    fill: var(--white);
}

.wiki-link:active,
.wiki-link:active:visited {
    opacity: 0.5;
    color: var(--white);
    fill: var(--white);
}

.links-group h3 {
    line-height: 160%;
    padding: 0rem 0rem 0.8421rem 0rem;
}

.links-group {
    display: flex;
    flex-direction: column;
}

.wiki-link .btn-link {
    transition: 0.13s cubic-bezier(0.32, 2.04, 0.73, 0.69);
    height: 100%;
    height: max-content;
    padding-top: 0.35rem;
    fill: inherit;
}

.wiki-link:hover .btn-link {
    transition: 0.13s cubic-bezier(0.32, 2.04, 0.73, 0.69);
    transform: rotate(45deg) translate(-0.1053rem, 0.1579rem);
}

.wiki-link svg {
    width: 1rem;
    height: 1rem;
}

.wiki-links-btn {
    display: none;
    position: fixed;
    bottom: 6.6rem;
    right: 1rem;
    z-index: 600;
}

.br {
    margin-bottom: 1.5789rem;
}

.wiki-content h3 {
    margin-top: 0.8421rem;
}

.wiki-content h2 {
    margin-top: 1.5789rem;
}

.wiki-content h1 {
    margin-top: 4.7368rem;
}

.wiki-content h1:nth-child(1) {
    margin-top: 0rem;
}

.wiki-content img {
    width: 100%;
    height: auto;
    margin-bottom: 1.5789rem;
    border-radius: 0.3684rem;
}

.wiki-content .accordion>h3 {
    margin-top: 0rem;
}

.note-red {
    color: var(--red)
}

.box-emoji {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    height: max-content;
    width: 100%;
}

.box-emoji img {
    transition: 0.07s;
    image-rendering: pixelated;
    width: 1.9474rem;
    height: 1.9474rem;
    border-radius: 0;
    margin: 0;
    box-shadow: var(--light-gray) 0 0 0 1px;
}

.box-images img {
    width: 7.0526rem;
    height: 7.0526rem;
    image-rendering: auto;
}

.box-emoji img:hover {
    box-shadow: var(--light-gray) 0 0 0 4px;
}

.box-emoji img:active {
    transition: 0.03s;
    box-shadow: var(--blue) 0 0 0 5px;
}

.copy-emoji {
    background: var(--graphite);
    border: solid 0px var(--graphite);
    font-size: 0px;
}

.wiki-si {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 0.8421rem 2.5263rem;
}

.wiki-si-cell {
    display: flex;
    width: max-content;
    flex-direction: column;
    height: max-content;
    flex-wrap: nowrap;
}

.si-banner {
    display: flex;
    width: 100%;
    background-size: cover;
    height: 14rem;
    align-items: center;
    justify-content: center;
    border-radius: 0.4737rem;
}

.si-banner img {
    width: 8.4211rem;
    height: 8.4211rem;
}

.si-modlist {
    display: flex;
    gap: 0.8421rem;
    flex-wrap: wrap;
    flex-direction: row;
}

.si-modlist text {
    display: inline-flex;
    gap: 0.8421rem;
    height: max-content;
    align-items: center;
    width: 49%;
}

.si-modlist img {
    width: 1.2632rem;
    height: 1.2632rem;
    margin: 0;
    padding: 0;
    border-radius: 0;
    image-rendering: pixelated;
}

.si-modlist text>img {
    margin: 0rem;
}

.group-img {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1px;
    overflow: hidden;
    border-radius: 0.578rem;
}

.group-img img {
    margin: 0;
    width: calc(50% - 0.5px);
    border-radius: 0rem;
}

.box-source {
    position: relative;
    display: flex;
    width: 100%;
    border-radius: 0.578rem;
}

.group-img .box-source {
    width: calc(50% - 0.5px);
    border-radius: 0;
}

.group-img .box-source img,
.box-source img {
    margin: 0;
    position: relative;
    width: 100%;
    height: auto;
}

.group-download {
    display: flex;
    position: absolute;
    gap: 0.8421rem;
    bottom: 1.2632rem;
    right: 1.2632rem;
}

.column-career {
    width: 100%;
    height: max-content;
    display: flex;
    padding: 1.0526rem;
    box-sizing: border-box;
    border: solid 1px var(--light-gray);
    flex-direction: column;
    border-radius: 0.4737rem;
    padding-bottom: 0rem;
    gap: 0.5263rem;
}

.column-career h2 {
    margin-top: 0rem;
}

.box-career {
    gap: 1.0526rem;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    margin-top: 1.0526rem;
}

.box-column {
    width: 50%;
    display: flex;
    gap: 1.0526rem;
    flex-direction: column;
}

.wiki-si text,
.wiki-si h1,
.wiki-si h2,
.wiki-si h3,
.wiki-si a,
.block-modlist text,
.block-modlist h1,
.wiki-si h2,
.wiki-si h3,
.wiki-si a {
    white-space: normal;
}

.block-play-sub {
    width: 100%;
    height: auto;
    display: flex;
    gap: 1.5789rem;
    flex-wrap: wrap;
    margin-top: 1.5789rem;
}

.box-play {
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    width: 100%;
    align-content: center;
    align-items: center;
    justify-content: space-between;
}

.box-text-play {
    display: flex;
    flex-direction: column;
    gap: 1.2rem;
    width: 100%;
}

.box-play video {
    animation: playicons1 1.2s cubic-bezier(0, 0.05, 0, 1.62);
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes playicons1 {
    0% {
        opacity: 0;
        transform: scale(0);
    }

    40% {
        opacity: 1;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

.box-play video {
    width: 12rem;
    height: 12rem;
}

.btn-group {
    display: flex;
    width: auto;
    gap: 0.8421rem;
}


@media screen and (max-width: 9900px) {
    :root {
        --scale: 0.7vw;
    }
}

@media screen and (max-width: 2700px) {
    :root {
        --scale: 19px;
    }

    #skin_container {
        height: 90%;
    }

    .box-skin {
        top: 8rem;
        height: 42rem;
    }

    .fix-payment {
        top: 8rem;
    }
}

@media screen and (max-width: 1900px) {
    #skin_container {
        height: 100%;
    }

    .box-skin {
        top: calc(50vh - 17.5rem);
        height: 35rem;
    }
}

@media screen and (max-width: 1430px) {
    :root {
        --scale: 16px;
    }
}

@media screen and (max-width: 1370px) {
    :root {
        --scale: 14px;
    }
}

@media screen and (max-width: 1230px) {
    :root {
        --scale: 12px;
        --block: 92%;
    }
}

@media screen and (max-width: 1130px) {
    :root {
        --scale: 11px;
        --block: 92%;
    }
}

@media screen and (max-width: 1000px) {
    :root {
        --scale: 10px;
        --block: 94%;
    }

    .block-play-sub button,
    .block-play-sub .button {
        width: 100%;
    }

    .block-play-sub btn-group {
        display: flex;
        flex-direction: column;
    }
}

@media screen and (max-width: 780px) {
    :root {
        --scale: 3.5vw;
        --block: 92%;
        --headpadding: 1rem;

        /* fonts */
        --text-lite: 0.632rem;
        /* 14px */
        --text: 0.9474rem;
        /* 18px */
        --h3: 1.0526rem;
        /* 22px */
        --h2: 1.3684rem;
        /* 32px */
        --h1: 2.6316rem;
        /* 60px */
    }

    .box-career {
        flex-direction: column;
    }

    .block-mobile-nav-active {
        visibility: visible;
        width: 100%;
        height: calc(100% - 5.105rem);
        opacity: 1;
        will-change: transform, opacity, visibility;
    }

    .box-servers {
        width: 100%;
    }

    header {
        display: none;
    }

    .block-widgets {
        width: 100%;
        order: 2;
        padding-right: 0rem;
        margin-top: 5rem;
    }

    .block-servers-list {
        width: 100%;
        order: 1;
    }

    .widgets {
        padding-top: 0.526rem;
    }

    .home-info {
        flex-wrap: wrap;
    }

    .home-banner {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: auto 1fr auto;
        grid-template-areas:
            '.'
            '.'
            '.';
        height: 100%;
    }

    .home-banner .btn-group {
        margin-bottom: 1.578rem;
        flex-wrap: wrap;
    }

    .home-banner .btn-group>.button {
        width: 100%;
        height: max-content;
    }

    .home-banner h1 {
        font-size: 2.7rem;
        width: 100%;
        margin-top: var(--headpadding);
    }

    footer {
        margin-top: 8rem;
        gap: 2.105rem;
        flex-wrap: wrap;
        padding-bottom: 20rem;
    }

    .footer-corp {
        justify-content: none;
        height: auto;
        gap: 0.526rem;
    }

    .footer-politics {
        display: flex;
        gap: 1.368rem;
        flex-direction: column;
        margin-top: 1.578rem;
        font-size: 0.947rem;
    }

    .footer-politics .text {
        font-size: 0.947rem;
    }

    .footer-info text {
        font-size: 0.947rem;
    }

    .mobile-nav {
        display: flex;
    }

    footer .payment-processing {
        text-align: left;
        line-height: 160%;
    }

    .block-home-banner {
        background-image: url(https://storage.c7x.dev/one1side/website/bannerlauncher11m.jpg);
        background-image: url(https://storage.c7x.dev/one1side/website/bannerlauncher11m.webp);
        height: calc(100vh - 10rem);
    }

    .button,
    button {
        padding: 1rem 1.315rem 1rem 1.315rem;
        height: 3.4rem;
    }

    .box-slider {
        height: 3.4rem;
    }

    .servers-background {
        background-size: 128%;
    }

    .box-servers:hover .servers-background {
        background-size: 154%;
    }

    .block-servers {
        margin-bottom: 8rem;
    }

    .accordion,
    .accordion:hover,
    .accordion:active {
        padding: 1.578rem 0px;
    }

    .accordion .h3 {
        text-align: left;
        line-height: 160%;
    }

    .box-play {
        height: auto;
        display: flex;
        flex-direction: column-reverse;
        margin-top: 4rem;
    }

    .box-play img {
        width: 70%;
        height: auto;
        justify-self: center;
    }

    .box-play picture {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    .box-play video {
        width: 100%;
        height: 16rem;
        display: flex;
        justify-content: center;
    }

    .play-ds {
        padding: 1.578rem 0;
    }

    .box-play .button {
        justify-self: center;
        width: 100%;
    }

    .box-downloader {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: auto auto;
        gap: 0px 0px;
        grid-template-areas:
            'launcher'
            'downloader';
    }

    .down-java {
        flex-direction: column;
        padding: 2.105rem 1.578rem;
    }

    .down-java .button {
        margin-top: 2.631rem;
        width: 100%;
    }

    .box-card-launcher {
        height: 21rem;
        margin-bottom: 2rem;
    }

    .box-card-downloader .button {
        width: 90%;
    }

    .mini-widget {
        padding: 1.1579rem;
        width: 100%;

    }

    .block-cookie {
        bottom: 12rem;
    }

    .cookie text {
        width: auto;
    }

    .cookie {
        padding: 1.0526rem;
        width: 92%;
        flex-direction: column;
    }

    .cookie button {
        width: 100%;
    }

    .block-cc {
        flex-direction: column;
        margin-bottom: 5rem;
    }

    .box-skin {
        top: 0;
        position: static;
        width: 100%;
        margin-bottom: 5rem;
        margin-top: var(--headpadding);
        height: auto;
    }

    .block-skin {
        order: 1;
        width: 100%;
    }

    .skin {
        height: 39rem;
        position: relative;
    }

    .skin-fix {
        display: block;
    }

    .box-balance .button {
        width: 100%;
    }

    .box-balance {
        gap: 1.578rem;
        flex-direction: column;
    }

    .box-balance-pref text {
        font-size: 0.79rem;
    }

    .sub-card,
    .sub-card-two {
        width: calc(50% - 0.79rem);
    }

    .box-balance-line {
        margin-top: 3.157rem;
    }

    .block-cabinet {
        width: 100%;
        padding-right: 0rem;
        order: 2;
    }

    .security-history .btn-group {
        flex-direction: column;
        width: 100%;
    }

    .security-history button {
        width: 100%;
    }

    .security-history {
        display: flex;
        flex-direction: column;
        gap: 2.052rem;
    }

    .box-auth {
        border: solid 0px var(--light-gray);
    }

    .box-input input {
        padding: 1rem 1.315rem 1rem 1.315rem;
    }

    .balance {
        width: 100%;
        flex-direction: column;
    }

    .box-payment {
        width: 100%;
    }

    .block-donate {
        display: flex;
        flex-wrap: wrap;
        gap: 4.7368rem;
    }

    .select__toggle,
    .select__option {
        height: 3.4rem;
    }

    .select__dropdown {
        max-height: 21rem;
    }

    .box-donate-status {
        width: 100%;
        padding: 0;
    }

    .server-list .server-icon {
        width: 2.3rem;
        height: 2.3rem;
    }

    .server-list,
    .btn-server-dropdown .server-list-dropdown-active {
        gap: 1.6842rem;
    }

    .box-toggle {
        height: 3.4rem;
    }

    .button-icon img {
        width: 1.3684rem;
    }

    .skin-header {
        position: static;
        display: flex;
        height: auto;
        gap: 0.8421rem;
        right: unset;
        align-items: flex-end;
        user-select: none;
        justify-content: center;
        flex-direction: row;
        border: solid 1px var(--light-gray);
        border-radius: 0.4737rem;
        margin-top: 0.4211rem;
    }

    .skin-header svg {
        min-width: 1.7684rem;
    }

    .skin-header button {
        padding: 0rem 0rem;
    }

    .btn-skin button {
        width: 100%;
    }

    .status-info {
        width: 90%
    }

    .wiki-content {
        padding-right: 0rem;
    }

    .wiki-content>.si-banner img {
        margin: 0rem;
    }

    .box-wiki-links {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        background: var(--graphite);
        overflow-y: scroll;
        width: 100%;
        box-sizing: border-box;
        padding: var(--headpadding);
        height: 100%;
        align-items: center;
        padding-bottom: 12rem;
        padding-top: 2rem;
        align-items: center;
    }

    .box-wiki-links-active {
        display: flex;

    }

    .links-group {
        width: var(--block);
    }

    .wiki-links-btn {
        display: flex;
        position: fixed;
    }

    .btn-nav:active {
        background: var(--light-gray);
        border-radius: 11px;
    }

    .sub-card-two-m {
        width: 100%;
    }

    .wiki-link,
    .wiki-link:visited {
        padding: 0.8421rem 0rem;
    }

}

.stop-scrolling {
    overflow-y: hidden;
    overflow-x: hidden;
}

@media screen and (max-width: 380px) {
    :root {
        --scale: 4vw;
        --block: 92%;
        --headpadding: 1rem;
    }

    .block-home-banner {
        height: max-content;
    }

    .btn-server-list .box-btn-server-list {
        grid-template-columns: auto 1.8fr 1.3fr auto;
    }